Restore interwiki (sister projects) results in search queries
Closed, ResolvedPublic

Description

For a short while, Special:Search showed results from other wikis in a very sensible way: for instance, looking for a word on Wikipedia gave you also a link to the entry on Wiktionary in the same language; searching for a name gave also the link to the person's quotations on Wikiquote; etc. If I remember correctly, they were displayed in a box on the right side of the screen.

This is a feature that, from what I recall, had a universally and greatly positive reaction and then suddenly disappeared. It's quite obviously useful because few readers (or even editors) know the differences between Wikipedia, Wiktionary, Wikiquote, Wikinews... We've missed it for many years now and it should probably be among the highest priority feature requests for our search (after "keep search lights on" but before any design or user experience work).

I don't remember any detail, maybe someone can find links. Looks like it was around 2009.


Version: master
See Also:
T49775: Centralized Search Engine ("interwiki" searches)
T55531: Images in Commons don't show up in search when using CirrusSearch
T3837: Search all languages
T62975: Expose interwiki search results in API

bzimport added a project: CirrusSearch.Via ConduitNov 22 2014, 1:16 AM
bzimport set Reference to bz44420.
Nemo_bis created this task.Via LegacyJan 28 2013, 10:08 AM
Nemo_bis added a comment.Via ConduitFeb 22 2013, 5:39 AM

See also bug 16283 comment 10 for something this may help fixing (or not).

Nemo_bis added a comment.Via ConduitMay 24 2013, 7:29 PM

btw

(Ram on bug 47775 comment #5)

The current search code (Java) already has a mode for "interwiki" searches
but
it is currently disabled

Krinkle added a comment.Via ConduitJul 28 2013, 9:16 PM
  • This bug has been marked as a duplicate of bug 21685 ***
Nemo_bis added a comment.Via ConduitAug 5 2013, 3:21 PM

Updating priority as, according to the RfC, this is indeed one of the key things in consideration for the new search system.

Aklapper added a comment.Via ConduitAug 6 2013, 12:14 PM

(In reply to comment #4)

Updating priority as, according to the RfC, this is indeed one of the key
things in consideration for the new search system.

Which RfC?

Nemo_bis added a comment.Via ConduitAug 6 2013, 12:36 PM

(In reply to comment #5)

Which RfC?

https://www.mediawiki.org/w/index.php?title=Talk:Requests_for_comment/CirrusSearch&diff=716862&oldid=716855
Of course it won't be the first release(s) but "I like the idea a lot" to me means that we/they want to keep an eye on this request, hence the priority to avoid losing it.

Manybubbles added a comment.Via ConduitSep 4 2013, 2:52 PM

Yeah - it is reasonably high priority to me. Especially with regards to Bug 53531 which is a limited form of interwiki search that we do still have on in the old search code.

Nemo_bis added a comment.Via ConduitNov 6 2013, 6:26 PM

Magnus has written a script which adds Wikidata search results: http://blog.magnusmanske.de/?p=108
http://magnusmanske.de/wordpress/wp-content/uploads/2013/11/wdsearch.png
This mostly helps with inter-language searches (for title and? something more) in the same project, despite being technically inter-project.

Aklapper added a comment.Via ConduitNov 8 2013, 12:52 PM
  • Bug 25278 has been marked as a duplicate of this bug. ***
gerritbot added a comment.Via ConduitFeb 6 2014, 5:53 PM

Change 105986 had a related patch set uploaded by Chad:
Implement interwiki searches

https://gerrit.wikimedia.org/r/105986

gerritbot added a comment.Via ConduitFeb 6 2014, 6:12 PM

Change 105986 merged by jenkins-bot:
Implement interwiki searches

https://gerrit.wikimedia.org/r/105986

demon added a comment.Via ConduitFeb 13 2014, 6:11 AM

Marking this fixed because it's basically implemented. We can always tidy things up later (and we will).

bzimport added a project: Wikidata.Via ConduitNov 22 2014, 1:17 AM
bzimport added a comment.Via ConduitFeb 13 2014, 4:15 PM

wmf.amgine3691 wrote:

Talking to Wikidata, only Wikipedia, Commons, Wikisource, and Wikivoyage are interwikied in any way. For Wiktionary, Wikinews, Wikibooks, Wikiquote, Wikiversity, Wikispecies, and Incubator this is still broken.

Nemo_bis added a comment.Via ConduitFeb 13 2014, 4:25 PM

(In reply to Amgine from comment #13)

Talking to Wikidata, only Wikipedia, Commons, Wikisource, and Wikivoyage
are interwikied in any way. For Wiktionary, Wikinews, Wikibooks, Wikiquote,
Wikiversity, Wikispecies, and Incubator this is still broken.

I don't understand this comment, as far as I know this is not related to Wikidata in any way.

bzimport added a comment.Via ConduitFeb 13 2014, 4:44 PM

wmf.amgine3691 wrote:

(In reply to Nemo from comment #14)

(In reply to Amgine from comment #13)
> Talking to Wikidata, only Wikipedia, Commons, Wikisource, and Wikivoyage
> are interwikied in any way. For Wiktionary, Wikinews, Wikibooks, Wikiquote,
> Wikiversity, Wikispecies, and Incubator this is still broken.

I don't understand this comment, as far as I know this is not related to
Wikidata in any way.

The patch searches the Wikidata Interwikis only.

demon added a comment.Via ConduitFeb 13 2014, 4:51 PM

(In reply to Amgine from comment #15)

(In reply to Nemo from comment #14)
> (In reply to Amgine from comment #13)
> > Talking to Wikidata, only Wikipedia, Commons, Wikisource, and Wikivoyage
> > are interwikied in any way. For Wiktionary, Wikinews, Wikibooks, Wikiquote,
> > Wikiversity, Wikispecies, and Incubator this is still broken.
>
> I don't understand this comment, as far as I know this is not related to
> Wikidata in any way.

The patch searches the Wikidata Interwikis only.

What do you mean by that? The search doesn't care about the interwiki prefix really, it's what's returned. I think core Special:Search and/or wikidata are mishandling the prefixes actually, not Cirrus.

Deskana moved this task to Resolved/Invalid/Declined/Legacy on the CirrusSearch workboard.Via WebApr 20 2015, 4:12 AM
matej_suchanek edited the task description. (Show Details)Via WebSat, Jul 25, 1:42 PM
matej_suchanek set Security to None.
Restricted Application added a project: Discovery. · View Herald TranscriptVia HeraldSat, Jul 25, 1:42 PM

Add Comment